Debian Bug report logs - #420279
vbetool: [64BIT] segfault on vbetool vbestate save

version graph

Package: vbetool; Maintainer for vbetool is Debian QA Group <packages@qa.debian.org>; Source for vbetool is src:vbetool.

Reported by: andrea <me@mancausoft.org>

Date: Sat, 21 Apr 2007 10:12:05 UTC

Severity: important

Found in version vbetool/0.7-1.1

Fixed in version vbetool/1.0-1.1

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthew Garrett <mjg59@srcf.ucam.org>:
Bug#420279; Package vbetool. Full text and rfc822 format available.

Acknowledgement sent to andrea <me@mancausoft.org>:
New Bug report received and forwarded. Copy sent to Matthew Garrett <mjg59@srcf.ucam.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: andrea <me@mancausoft.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfault on vbetool vbestate save
Date: Mon, 23 Apr 2007 12:10:24 +0200
Package: vbetool
Version: 0.7-1.1
Severity: normal

on boot I read the message:
vbetool[2884]: segfault at 0000000000003632 rip 00000000004248df rsp 00007fffe4df6470 error 4

I try to execute: " # vbetool vbestate save " and:
vbetool vbestate save
Get video state buffer size failed
Allocated buffer at 0x20000 (base is 0x0)
ES: 0x2000 EBX: 0x0000
Segmentation faul

gdb's output is'nt verbose because don't exist vbetool-dbg package


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages vbetool depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  zlib1g                      1:1.2.3-13   compression library - runtime

vbetool recommends no packages.

-- no debconf information



Changed Bug title to vbetool: [64BIT] segfault on vbetool vbestate save from segfault on vbetool vbestate save. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. (Thu, 17 May 2007 06:03:01 GMT) Full text and rfc822 format available.

Message sent on to andrea <me@mancausoft.org>:
Bug#420279. Full text and rfc822 format available.

Message #10 received at 420279-submitter@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 420279-submitter@bugs.debian.org
Cc: control@bugs.debian.org, request@bugs.debian.org
Subject: this bug/#420279 - segfault on vbetool vbestate save
Date: Thu, 17 May 2007 01:59:40 -0400
retitle 420279 vbetool: [64BIT] segfault on vbetool vbestate save
user 420279 vbetool@packages.debian.org
usertag 420279 64bit
thanks

#420279 - segfault on vbetool vbestate save
http://bugs.debian.org/420279

Program received signal SIGSEGV, Segmentation fault.
0x00000000004253af in rdb (addr=54447) at sys.c:234
234             val = *(u8*)(M.mem_base + addr);
(gdb) bt
#0  0x00000000004253af in rdb (addr=54447) at sys.c:234
#1  0x0000000000404057 in fetch_data_byte (offset=53423) at decode.c:308
#2  0x0000000000419e93 in x86emuOp_and_byte_RM_R (op1=<value optimized out>)
    at ops.c:1793
#3  0x0000000000404f10 in X86EMU_exec () at decode.c:123
#4  0x0000000000402ffc in real_call (registers=0x7fff2981a100) at thunk.c:202
#5  0x000000000040311a in LRMI_int (num=16, registers=0x7fff2981a100)
    at thunk.c:225
#6  0x00000000004023a3 in __save_state (psize=0x7fff2981a164) at vbetool.c:334
#7  0x0000000000402409 in save_state () at vbetool.c:347
#8  0x000000000040154a in main (argc=3, argv=0x7fff2981a4c8) at vbetool.c:72



Information forwarded to debian-bugs-dist@lists.debian.org, Matthew Garrett <mjg59@srcf.ucam.org>:
Bug#420279; Package vbetool. Full text and rfc822 format available.

Acknowledgement sent to Wouter Koolen-Wijkstra <wmkoolen@science.uva.nl>:
Extra info received and forwarded to list. Copy sent to Matthew Garrett <mjg59@srcf.ucam.org>. Full text and rfc822 format available.

Message #15 received at 420279@bugs.debian.org (full text, mbox):

From: Wouter Koolen-Wijkstra <wmkoolen@science.uva.nl>
To: 420279@bugs.debian.org
Subject: vbetool: different backtrace
Date: Thu, 14 Jun 2007 08:42:11 +0200
Package: vbetool
Version: 0.7-1.1
Followup-For: Bug #420279


At bootup, I also get
vbetool[4580]: segfault at 000000000000cc4f rip 0000000000424854 rsp 
00007fffc103c470 error 4

The backtrace however is slightly different:

(gdb) run vbestate save
Starting program: /tmp/vbetool-0.7/vbetool vbestate save
Get video state buffer size failed
Allocated buffer at 0x20000 (base is 0x0)
ES: 0x2000 EBX: 0x0000

Program received signal SIGSEGV, Segmentation fault.
0x0000000000424774 in rdw (addr=52303) at sys.c:269
269                     val = *(u16*)(M.mem_base + addr);
(gdb) bt
#0  0x0000000000424774 in rdw (addr=52303) at sys.c:269
#1  0x0000000000403459 in fetch_data_word (offset=51279) at decode.c:327
#2  0x0000000000413cf9 in x86emuOp_add_word_RM_R (op1=<value optimized 
out>) at ops.c:187
#3  0x0000000000404360 in X86EMU_exec () at decode.c:123
#4  0x00000000004022fe in real_call (registers=0xcc4f) at thunk.c:202
#5  0x0000000000401998 in __save_state (psize=<value optimized out>) at 
vbetool.c:334
#6  0x0000000000401a3e in save_state () at vbetool.c:347
#7  0x0000000000401eef in main (argc=<value optimized out>, 
argv=0x7fffe64e41a8) at vbetool.c:72
(gdb) quit

I hope this helps,

Wouter Koolen-Wijkstra

-- System Information:
Debian Release: lenny/sid
 APT prefers testing
 APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21v3 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages vbetool depends on:
ii  libc6                         2.5-9      GNU C Library: Shared libraries
ii  zlib1g                        1:1.2.3-15 compression library - runtime

vbetool recommends no packages.

-- no debconf information




Severity set to `important' from `normal' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 09:42:05 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to andrea <me@mancausoft.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 420279-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 443568-close@bugs.debian.org
Subject: Bug#443568: fixed in vbetool 1.0-1.1
Date: Sat, 01 Dec 2007 08:47:04 +0000
Source: vbetool
Source-Version: 1.0-1.1

We believe that the bug you reported is fixed in the latest version of
vbetool, which is due to be installed in the Debian FTP archive:

vbetool_1.0-1.1.dsc
  to pool/main/v/vbetool/vbetool_1.0-1.1.dsc
vbetool_1.0-1.1.tar.gz
  to pool/main/v/vbetool/vbetool_1.0-1.1.tar.gz
vbetool_1.0-1.1_amd64.deb
  to pool/main/v/vbetool/vbetool_1.0-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated vbetool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 01 Dec 2007 09:29:36 +0100
Source: vbetool
Binary: vbetool
Architecture: source amd64
Version: 1.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Matthew Garrett <mjg59@ubuntu.com>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 vbetool    - run real-mode video BIOS code to alter hardware state
Closes: 443568
Changes: 
 vbetool (1.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New release taken from Ubuntu (Closes: #443568)
Files: 
 05af598e2efb7cae6ba6c36f647f46a2 534 utils optional vbetool_1.0-1.1.dsc
 e717709110f6719bf55b8362df3dc284 106417 utils optional vbetool_1.0-1.1.tar.gz
 dfafa95f5690f2f113c1ac63ef2ecc30 20958 utils optional vbetool_1.0-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHUR2Z7Ro5M7LPzdgRAsRDAKCZJEMXSLqna62NngM2Pvj/g5ToVACeI7pF
9wmIG3Vov/6nEKng1Ha73KY=
=8poc
-----END PGP SIGNATURE-----






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Jan 2008 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:11:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.